For the complete documentation index, see llms.txt. This page is also available as Markdown.

Endpoint

The player profile endpoint provides player information such as the name, nationality, gender, height, weight, DOB, etc in the requested language.

A player here is a player in a team. (A tennis player is a competitor)

Endpoint Parameters

Parameter

Description

Possible Values

language

Required

Language code for translation.

See all supported languages and their codes on language support

id

Required

The ID of the player

Example: 852078

Try the API

Player profile

get

Name and details about a player. xml schema

Authorizations
x-access-tokenstringRequired
Path parameters
languagestringRequired

Language code for translation.

idintegerRequired

The ID for the player.

Responses
200

successful operation

application/xml
get/sports/{language}/players/sr:player:{id}/profile.xml
GET /v1/sports/{language}/players/sr:player:{id}/profile.xml HTTP/1.1
Host: global.api.betradar.com
x-access-token: YOUR_API_KEY
Accept: */*
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<player_profile xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2023-03-15T14:48:08+00:00" xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/ufsportsapi/v1/endpoints/unified/ufsportsapi.xsd">
  <player type="F" date_of_birth="1994-05-08" nationality="Usa" country_code="USA" height="203" weight="99" full_name="Sam Dekker" gender="male" id="sr:player:852078" name="Dekker, Sam"/>
</player_profile>

Last updated

Was this helpful?